Syncope Backing Engine Factory 2.0.4 with Karaf 4.0.1

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Syncope Backing Engine Factory 2.0.4 with Karaf 4.0.1

JP Fortin
This post has NOT been accepted by the mailing list yet.
Hi Folks,

We are running an older version of Karaf (4.0.1) and need a feature from Syncope called Password Pass-Through Authentication only available on later version (2.x).

I have implemented the SyncopeLoginModule, which work partially, and in order to have a full capabilities I need to update the org.apache.karaf.jaas.modules from 4.0.1 to 4.2.1.

I tried:

+ bundle:update org.apache.karaf.jaas.modules mvn:org.apache.karaf.jaas/org.apache.karaf.jaas.modules/4.1.2

+bundle:update 323 file:///C:/Tools/Drivers/org.apache.karaf.jaas.modules-4.1.2.jar

+ using the Web Console - Configuration

+ and lastly tried to copy to /esb/container/system/jar-path

All to no avail - it is still showing the bundle with version 4.0.1.

Any pointers would be appreciated.

Cheers.
Reply | Threaded
Open this post in threaded view
|

Re: Syncope Backing Engine Factory 2.0.4 with Karaf 4.0.1

JP Fortin
This post has NOT been accepted by the mailing list yet.
Replying to my own thread for you guys:

Both version are not working together as they implemented different SyncopeLoginModule & BackingEnginefactory.

Use Syncope 1.2.10 with Karaf 4.0.1.

JP